Skip to content

getPurchaseOrderDelivery

READ

Get purchase order delivery.

POST /api/v1/purchasing/getPurchaseOrderDelivery
curl -X POST '<your-host>/api/v1/purchasing/getPurchaseOrderDelivery' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "purchaseOrderId": "string"
  }'
Response
{
  "companyId": "string",
  "customerId": "string",
  "customerLocationId": "string",
  "customFields": "…",
  "deliveryDate": "string",
  "dropShipment": true,
  "id": "string",
  "incoterm": "EXW",
  "incotermLocation": "string",
  "locationId": "string",
  "notes": "string",
  "receiptPromisedDate": "string",
  "receiptRequestedDate": "string",
  "shippingMethodId": "string",
  "shippingTermId": "string",
  "supplierShippingCost": 0,
  "tags": [
    "string"
  ],
  "trackingNumber": "string",
  "updatedAt": "string",
  "updatedBy": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "purchaseOrderId": {
      "type": "string"
    }
  },
  "required": [
    "purchaseOrderId"
  ]
}